Package ghidra.app.cmd.data

# Class CreateStructureCmd

java.lang.Object
ghidra.app.cmd.data.AbstractCreateStructureCmd
ghidra.app.cmd.data.CreateStructureCmd

All Implemented Interfaces:
  `Command`

public class CreateStructureCmd extends AbstractCreateStructureCmd
Command to create a structure.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateStructureCmd(Address address, int length)`
  Constructs a new command for creating a new structure and applying it to the browser.
  `CreateStructureCmd(Structure newStructure, Address address)`
  Creates a new structure by using the provided structure and attaching it to the program passed in the `AbstractCreateStructureCmd.applyTo(DomainObject)` method.
  `CreateStructureCmd(String name, Address address, int length)`
  Constructs a new command for creating a new structure and applying it to the browser.

- ## Method Summary

  ### Methods inherited from class ghidra.app.cmd.data.AbstractCreateStructureCmd

  `applyTo, getName, getNewDataType, getStatusMsg`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateStructureCmd

    public CreateStructureCmd(Address address, int length)
    Constructs a new command for creating a new structure and applying it to the browser. This method simply calls `CreateStructureCmd(String, Address, int)` with `StructureFactory.DEFAULT_STRUCTURE_NAME` as the name of the structure.
    Parameters:
      `address` - the address at which to create the new structure.
      `length` - the number of undefined bytes to consume in the new structure.

  - ### CreateStructureCmd

    public CreateStructureCmd(String name, Address address, int length)
    Constructs a new command for creating a new structure and applying it to the browser.
    Parameters:
      `name` - The name of the new structure to create.
      `address` - the address at which to create the new structure.
      `length` - the number of undefined bytes to consume in the new structure.

  - ### CreateStructureCmd

    public CreateStructureCmd(Structure newStructure, Address address)
    Creates a new structure by using the provided structure and attaching it to the program passed in the `AbstractCreateStructureCmd.applyTo(DomainObject)` method.
    Parameters:
      `newStructure` - The new structure to attach to the program provided in the `AbstractCreateStructureCmd.applyTo(DomainObject)` method.
      `address` - the address at which to create the new structure.